[IMP] Ocata Ubuntu 16.04 Openstack installation: Getting manager creation issue in neutron while launching an instance

asked 2017-07-24 11:53:56 -0500

Ruchir Nerurkar gravatar image

updated 2017-07-24 17:01:17 -0500

 Hello All,

I am trying to launch a VM instance on Ocata Ubuntu 16.04 openstack environment but I am getting this error on dashboard.

****Error:-****Failed to perform requested operation on instance "VM 1", the instance has an error status: Please try again later [Error: No valid host was found. There are not enough hosts available.]

After checking in neutron-openvswitch-agent log, i could see that it's showing unable to execute ovs-vsctl.
Please find mentioned herein the logs gathered from openvswitch agent file::-

2017-07-23 13:36:38.073 24594 INFO neutron.common.config [-] Logging enabled!
2017-07-23 13:36:38.073 24594 INFO neutron.common.config [-] /usr/bin/neutron-openvswitch-agent version 10.0.2
2017-07-23 13:36:38.077 24594 INFO ryu.base.app_manager [-] loading app neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native.ovs_ryuapp
2017-07-23 13:36:38.264 24594 INFO ryu.base.app_manager [-] loading app ryu.app.ofctl.service
2017-07-23 13:36:38.265 24594 INFO ryu.base.app_manager [-] loading app ryu.controller.ofp_handler
2017-07-23 13:36:38.265 24594 INFO ryu.base.app_manager [-] instantiating app neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native.ovs_ryuapp of OVSNeutronAgentRyuApp
2017-07-23 13:36:38.265 24594 INFO ryu.base.app_manager [-] instantiating app ryu.controller.ofp_handler of OFPHandler
2017-07-23 13:36:38.265 24594 INFO ryu.base.app_manager [-] instantiating app ryu.app.ofctl.service of OfctlService
2017-07-23 13:36:38.356 24594 INFO neutron.agent.ovsdb.native.vlog [-] tcp:127.0.0.1:6640: connecting...
2017-07-23 13:36:38.357 24594 INFO neutron.agent.ovsdb.native.vlog [-] tcp:127.0.0.1:6640: connected
2017-07-23 13:36:38.595 24594 INFO neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native.ovs_bridge [-] Bridge br-int has datapath-ID 0000fe020f0f594e
2017-07-23 13:36:38.601 24594 INFO neutron.agent.agent_extensions_manager [req-d29248da-29e6-4a21-964d-271122939b23 - - - - -] Loaded agent extensions: []
2017-07-23 13:36:38.603 24594 WARNING neutron.agent.securitygroups_rpc [req-d29248da-29e6-4a21-964d-271122939b23 - - - - -] Driver configuration doesn't match with enable_security_group
2017-07-23 13:36:38.740 24594 INFO neutron.plugins.ml2.drivers.openvswitch.agent.ovs_neutron_agent [req-e411c3ed-4710-46eb-a4a9-17893e58f0b7 - - - - -] Agent initialized successfully, now running...
2017-07-23 13:36:39.153 24594 ERROR neutron.agent.ovsdb.impl_vsctl [req-e411c3ed-4710-46eb-a4a9-17893e58f0b7 - - - - -] Unable to execute ['ovs-vsctl', '--timeout=10', '--oneline', '--format=json', '--', '--id=@manager', 'create', 'Manager', 'target="ptcp:6640:127.0.0.1"', '--', 'add', 'Open_vSwitch', '.', 'manager_options', '@manager']. Exception: Exit code: 1; Stdin: ; Stdout: ; Stderr: ovs-vsctl: transaction error: {"details":"Transaction causes multiple rows in \"Manager\" table to have identical values (\"ptcp:6640:127.0.0.1\") for index on column \"target\".  First row, with UUID ef633305-4c21-43f0-a52a-d94a80a96cea, existed in the database before this transaction and was not modified by the transaction.  Second row, with UUID 43fe8968-cb02-4a11-ad43-9219d3192695, was inserted by this transaction.","error":"constraint violation"}

2017-07-23 13:37:38.640 24594 ERROR neutron.plugins.ml2.drivers.openvswitch.agent.ovs_neutron_agent [-] Failed reporting state!
2017-07-23 13:37:38.640 24594 ERROR neutron.plugins.ml2.drivers.openvswitch.agent.ovs_neutron_agent Traceback (most recent call last):
2017-07-23 13:37:38.640 24594 ERROR neutron.plugins.ml2.drivers.openvswitch.agent.ovs_neutron_agent   File "/usr/lib/python2.7/dist-packages/neutron/plugins/ml2/drivers/openvswitch/agent/ovs_neutron_agent.py", line ...
(more)
edit retag flag offensive close merge delete

Comments

Unknown column 'agents.availability_zone' may indicate some version mismatch. You seem to be using Ryu as ML2 mechanism driver; could it be that you installed the wrong version?

Bernd Bausch gravatar imageBernd Bausch ( 2017-07-27 04:37:16 -0500 )edit

@Bernd Bausch I just run this command "apt-get -y install neutron-plugin-ml2" and then done necessary changes inside ml2_conf.ini as per the Opestack guide.Could you please tell me where to check the version or any solution for this issue.It would be of huge help to me Sir, plz guide me on this.

Ruchir Nerurkar gravatar imageRuchir Nerurkar ( 2017-07-28 13:11:34 -0500 )edit

@Praveen Nagegowda

Sir, please help me out to resolve the query. It's been going on since last 2 weeks and i am stuck sir..Plz help

Ruchir Nerurkar gravatar imageRuchir Nerurkar ( 2017-07-28 13:48:12 -0500 )edit